## org.eclipse.jst.jsf.context.symbol
Interface IDescribedInDetail

All Known Subinterfaces:
  IBeanInstanceSymbol, IBeanMethodSymbol, IBeanPropertySymbol, IComponentSymbol

    public interface IDescribedInDetail

Tags a symbol that has a detailed, user-readable description

Provisional API - subject to change

Field Summary
`static java.lang.String` `copyright` s

Method Summary
`java.lang.String` `getDetailedDescription()`
`void` `setDetailedDescription(java.lang.String detailedDescription)`

Field Detail

### copyright

    static final java.lang.String copyright

  s

  See Also:
    Constant Field Values

Method Detail

### getDetailedDescription

    java.lang.String getDetailedDescription()

  Returns:
    the detailed description

### setDetailedDescription

    void setDetailedDescription(java.lang.String detailedDescription)

  Parameters:
    `detailedDescription` -